Subject: Re: [PATCH v8 1/1] net: ag71xx: port to phylink

From: Russell King - ARM Linux admin <[email-masked]>
Date: Fri, 28 Feb 2020 11:47:53 +0000

On Wed, Feb 26, 2020 at 09:21:38AM +0000, Russell King - ARM Linux admin wrote:
> On Wed, Feb 26, 2020 at 06:46:24AM +0100, Oleksij Rempel wrote:
> > The port to phylink was done as close as possible to initial
> > functionality.
> > 
> > Signed-off-by: Oleksij Rempel <[email-masked]>
> > ---
> > changes v8:
> > - set the autoneg bit
> > - provide implementations for the mac_pcs_get_state and mac_an_restart
> >   methods
> > - do phylink_disconnect_phy() on _stop()
> > - rename ag71xx_phy_setup() to ag71xx_phylink_setup() 
> 
> There will be one more change required; I'm changing the prototype for
> the mac_link_up() function, and I suggest as you don't support in-band
> AN that most of the setup for speed and duplex gets moved out of your
> mac_config() implementation to mac_link_up().
> 
> The patches have been available on netdev for just over a week now.

The patches are now in net-next.  Please respin your patch against these
changes, which basically means the code which programs the speed and
duplex in ag71xx_mac_config() needs to be moved to ag71xx_mac_link_up().

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up